View Issue Details

IDProjectCategoryView StatusLast Update
0002822SymmetricDSImprovementpublic2016-11-17 11:11
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.9Fixed in Version3.8.9 
Summary0002822: DBCompare should support where clauses
DescriptionFor cases where only a subset of data between the two tables makes sense to compare, support where clauses per table for comparison purposes.
TagsNo tags attached.

Activities

admin

2016-09-30 10:30

administrator   ~0000884

Re-opening. Accidentally closed it while performing release.

Related Changesets

SymmetricDS: 3.8 941e90b4

2016-11-15 17:00:30

mmichalek

Details Diff
0002822: DBCompare should support where clauses
0002822
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/DbCompareCommand.java Diff File
mod - symmetric-client/src/main/resources/symmetric-messages.properties Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
add - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareConfig.java Diff File

Issue History

Date Modified Username Field Change
2016-09-22 09:39 mmichalek New Issue
2016-09-22 09:39 mmichalek Status new => assigned
2016-09-22 09:39 mmichalek Assigned To => mmichalek
2016-09-29 21:01 admin Status assigned => closed
2016-09-30 10:30 admin Note Added: 0000884
2016-09-30 10:30 admin Status closed => assigned
2016-09-30 10:30 admin Product Version 3.8.4 => 3.8.0
2016-11-15 17:01 mmichalek Status assigned => resolved
2016-11-15 17:01 mmichalek Resolution open => fixed
2016-11-15 17:01 mmichalek Fixed in Version => 3.8.9
2016-11-15 17:01 mmichalek Target Version => 3.8.9
2016-11-15 18:00 mmichalek Changeset attached => SymmetricDS 3.8 941e90b4
2016-11-17 11:11 chenson Status resolved => closed